Subject: change zone

From: [email-masked]
Date: Wed, 30 Aug 2000 10:47:43 +0400

Hi,

I have a problem changing the zone of my server. In my company, we have a
few zones:
getzones -l
defaultzone
newzone
...

gezone -m
defaultzone

If I use the dedault zone everything works fine but when I try to change
the zone, the server said:

nbp_rgstr: Success services:
Can't register server:Workstation@newzone

I added "@newzone" to the nbprgstr and afpd.

Where is the problem?
Here are the config files:

atalkd.conf:
etho -phase 2 -net 35-45 -addr 40.0

afpd.conf:
"server" -ddp -tcp -noguest -address xxx.xxx.xxx.xxx

/var/log/messages after reboot: the server is in both zones (default and
newzone visible, but I can't connect)
Aug 30 08:16:00 server kernel: NET4: AppleTalk 0.18 for Linux
NET4.0
Aug 30 08:16:00 server atalkd[526]: restart (1.4b2+asun2.1.3)
Aug 30 08:16:10 server atalkd[526]: ready 0/0/0
Aug 30 08:16:10 server atalkd[526]: zip_getnetinfo for eth0
Aug 30 08:16:10 server atalk: atalkd startup succeeded
Aug 30 08:16:10 server atalkd[526]: zip gnireply from 40.135
(eth0 12)
Aug 30 08:16:10 server atalkd[526]: zip_packet configured eth0
from 40.135
Aug 30 08:16:11 server atalkd[526]: zip gnireply from 43.180
(eth0 b2)
Aug 30 08:16:11 server atalkd[526]: zip ignoring gnireply
Aug 30 08:16:14 server atalkd[526]: rtmp_packet gateway 40.135 up
Aug 30 08:16:16 server atalkd[526]: rtmp_packet gateway 43.180 up
Aug 30 08:16:20 server atalkd[526]: zip skip reply 35-45 from
43.180 (no query)
Aug 30 08:16:20 server last message repeated 6 times
Aug 30 08:16:22 server atalk: afpd startup succeeded
Aug 30 08:16:28 server afpd[556]: santec-server:AFPServer@*
started on 40.45:128 (1.4b2+asun2.1.3)
Aug 30 08:16:28 server afpd[556]: ASIP started on
158.64.4.155:548(2) (1.4b2+asun2.1.3)
Aug 30 08:16:50 server atalkd[526]: as_timer gateway 43.180 down
Aug 30 08:16:50 server atalkd[526]: as_timer gateway 40.135 down
Aug 30 08:17:20 server atalkd[526]: as_timer gateway 43.180 down
Aug 30 08:17:20 server atalkd[526]: as_timer gateway 40.135 down
Aug 30 08:17:20 server atalkd[526]: as_timer last gateway down    <- why?

If I start netatalk first in the default zone and try to change then to the
newzone, /var/log/messages said:
atalkd [759]: config for no router

console:
nbp_rgstr: Success
Cant't register server:Workstation@newzone
nbp_rgstr: Success
Cant't register server:netatalk@newzone

and it rewrites the atalkd.conf :-(

Thanks in advance.

bye,

Thorsten

--
Dipl. Inf. (FH) Thorsten Ries
Centre de Recherche Public Henri Tudor
-Centre de Ressources Santec-
6, rue Coudenhove - Kalergi
L-1359 Luxembourg

Tel: +352-42 59 91-1
Fax: +352-43 65 23
Mail: [email-masked]

phone: +352/42 59 91 - 1
fax: +352/43 65 23
internet: www.santel.lu